As an Arch user using fglrx, I cannot but applaud the decision. We cannot have a single, badly written binary driver holding back the whole distribution.

Full disclaimer: I will continue using the blob, as I need OpenGL 2.0+ for my work, but I don't expect the distro team to maintain the blob for me. The portion of the userbase that requires fglrx will be able to publish custom PKGBUILDs that get the job done.

Now, the real question is "how much time before we see GLSL support in open drivers?" Because in all other regards, they are ahead of fglrx.